Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360365 - Review Request: python-pytest-mock - Thin-wrapper around the mock package for easier use with py.test
Summary: Review Request: python-pytest-mock - Thin-wrapper around the mock package for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 14:02 UTC by Julien Enselme
Modified: 2016-09-10 01:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-05 17:52:54 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Julien Enselme 2016-07-26 14:02:26 UTC
Spec URL: http://dl.jujens.eu/SPECS/python-pytest-mock.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-pytest-mock-1.1-1.fc24.src.rpm

Description:
his plugin installs a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package, but with the benefit of not having
to worry about undoing patches at the end of a test.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-11 01:38:51 UTC
%{sum} macro is not necessary, you can write Summary: normally first time, and then use Summary: %{summary} for the subsequent ones.

You don't need to actually delete .egg-info.

+ package name is OK
+ license is acceptable (MIT)
+ license is specified correctly
+ standard python packaging is used
+ python_provide is used
+ no scriptlets present or necessary
- builds and installs OK
? P/R/BR look OK

%check fails in mock, looks like you need BR's on mock too.

----------------------------- Captured stderr call -----------------------------
nomatch: '*"mock" fixture has been deprecated*'
    and: u''
________________________ test_mocker_aliases[MagicMock] ________________________
name = 'MagicMock'
    @pytest.mark.parametrize('name', ['MagicMock', 'PropertyMock', 'Mock', 'call', 'ANY'])
    def test_mocker_aliases(name):
>       from pytest_mock import mock_module, MockFixture
test_pytest_mock.py:137: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
    import inspect
    import sys
    
    import pytest
    
    if sys.version_info >= (3, 3): # pragma: no cover
        import unittest.mock as mock_module
    else:
>       import mock as mock_module
E       ImportError: No module named mock
pytest_mock.py:9: ImportError

Comment 2 Julien Enselme 2016-08-29 07:52:43 UTC
Sorry for the delay:

* Mon Aug 29 2016 Julien Enselme <jujens@jujens.eu> - 1.1-2
- Add python2-mock to BR so %%check passes correctly.

SRPM: http://dl.jujens.eu/SRPMS/python-pytest-mock-1.1-2.fc24.src.rpm
SPEC: http://dl.jujens.eu/SPECS/python-pytest-mock.spec
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15424875

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-08-31 11:27:05 UTC
> %{sum} macro is not necessary, you can write Summary: normally first time, and then use Summary: %{summary} for the subsequent ones.

> You don't need to actually delete .egg-info.

+ package name is OK
+ license is acceptable (MIT)
+ license is specified correctly
+ standard python packaging is used
+ python_provide is used
+ no scriptlets present or necessary
+ builds and installs OK
+ P/R/BR look OK

Package is APPROVED.

Comment 4 Julien Enselme 2016-08-31 15:46:05 UTC
Thanks for the review!

Comment 5 Gwyn Ciesla 2016-08-31 16:40:29 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pytest-mock

Comment 6 Fedora Update System 2016-08-31 17:32:09 UTC
python-pytest-mock-1.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2018bc3322

Comment 7 Fedora Update System 2016-08-31 17:37:53 UTC
python-pytest-mock-1.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6b9375ced

Comment 8 Fedora Update System 2016-09-01 19:52:38 UTC
python-pytest-mock-1.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2018bc3322

Comment 9 Fedora Update System 2016-09-01 20:24:13 UTC
python-pytest-mock-1.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6b9375ced

Comment 10 Fedora Update System 2016-09-05 17:52:52 UTC
python-pytest-mock-1.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-10 01:48:49 UTC
python-pytest-mock-1.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.